Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Yast 2 does not run in Enlightenment 19

  1. #1

    Question Yast 2 does not run in Enlightenment 19

    Hi,

    I performed a Minimal X install (IceWM) of openSUSE 13.2. I installed Enlightenment 19 from the enlightenment package in YaST. I also installed gnomesu. However, when I'm using Enlightenment 19 and I run gnomesu yast2 from the command line, a dialog opens and prompts me for my password. After I enter the password and click Continue, the dialog closes and yast2 does not open. It works fine in IceWM, however.

    A screenshot:
    https://dl.dropboxusercontent.com/u/...26.14%20AM.png

    Thanks.

  2. #2
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,044

    Default Re: Yast 2 does not run in Enlightenment 19

    On Sat, 27 Dec 2014 16:36:02 +0000, tamag9 wrote:

    > Hi,
    >
    > I performed a Minimal X install (IceWM) of openSUSE 13.2. I installed
    > Enlightenment 19 from the enlightenment package in YaST. I also
    > installed gnomesu. However, when I'm using Enlightenment 19 and I run
    > gnomesu yast2 from the command line, a dialog opens and prompts me for
    > my password. After I enter the password and click Continue, the dialog
    > closes and yast2 does not open. It works fine in IceWM, however.
    >
    > A screenshot:
    > http://tinyurl.com/qcr5z77
    >
    > Thanks.


    If you run from a terminal window, what error message do you get?

    Jim



    --
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

  3. #3

    Default Re: Yast 2 does not run in Enlightenment 19

    Yast2 runs perfectly fine when i use sudo yast2 from the command line.

    https://dl.dropboxusercontent.com/u/...14.49%20PM.png

  4. #4

    Default Re: Yast 2 does not run in Enlightenment 19

    Try to run YaST with gnomesu again, and then post the last lines of /var/log/YaST/y2log:
    Code:
    sudo tail /var/log/YaST/y2log
    My guess would be that in Enlightenment it tries to run a different GUI than in IceWM (Gtk vs. Qt) and you lack the corresponding packages.

    So please post the list of installed YaST UI packages as well:
    Code:
    rpm -qa libyui*

  5. #5

    Default Re: Yast 2 does not run in Enlightenment 19

    Yast2 log:

    https://db.tt/DVrfpRNP

    YaST UI packages:

    https://db.tt/tSF8cXdp

    Thanks for your time.

  6. #6

    Default Re: Yast 2 does not run in Enlightenment 19

    Quote Originally Posted by tamag9 View Post
    Hm, I only see messages about the ncurses (i.e. text mode) interface there, so it seems YaST is not even started.

    YaST UI packages:

    https://db.tt/tSF8cXdp
    Looks ok.

    Maybe it's actually a problem of gnomesu? Not all GNOME applications run well outside of GNOME (and GNOME doesn't seem to care about running their apps outside of GNOME...).
    Try to use something else than gnomesu as a test:
    Code:
    xdg-su -c /sbin/yast2
    And try to force the Qt or Gtk interface. Maybe only one of them works.
    Code:
    xdg-su -c /sbin/yast2 --gtk
    xdg-su -c /sbin/yast2 --qt

  7. #7

    Unhappy Re: Yast 2 does not run in Enlightenment 19

    Unfortunately xdg-su doesn't seem to work either

    https://db.tt/y2Xvjwiv

  8. #8

    Default AW: Re: Yast 2 does not run in Enlightenment 19

    Quote Originally Posted by tamag9 View Post
    Unfortunately xdg-su doesn't seem to work either
    Pity, apparently xdg-su doesn't support enlightenment yet.
    https://bugzilla.opensuse.org/show_bug.cgi?id=778786#c5

    Well, try "su -" then:
    Code:
    su -
    yast2
    yast2 --gtk
    yast2 --qt
    You can also try "gnomesu /sbin/yast2 --gtk" and "gnomesu /sbin/yast2 --qt", maybe one of them will work.

  9. #9

    Question Re: Yast 2 does not run in Enlightenment 19

    The su command worked! The GUI opened up. Do you how to create an application launcher in E19 for this?

    https://db.tt/fWYHrhwd <- I tried that but it didn't seem to work. Maybe something that brings up a terminal window and prompts for the su password?

    Thanks.

  10. #10

    Default AW: Re: Yast 2 does not run in Enlightenment 19

    Quote Originally Posted by tamag9 View Post
    The su command worked! The GUI opened up. Do you how to create an application launcher in E19 for this?

    https://db.tt/fWYHrhwd <- I tried that but it didn't seem to work. Maybe something that brings up a terminal window and prompts for the su password?
    "su -c yast2 -" should work (or try "su - -c yast2" I'm not sure at the moment).

    I don't know enlightenment, but maybe there's an option to run the command in a terminal window (like there is in KDE). On the "General Options" tab maybe? You should enable this if available.
    If not, you could try to run it in xterm manually:
    Code:
    xterm -e "su - -c yast2"
    Last edited by wolfi323; 28-Dec-2014 at 10:25.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •